--- a/GConf.spec	2023-11-13 06:07:52.423196376 +0300
+++ b/GConf.spec	2023-11-13 06:07:52.489195620 +0300
@@ -112,6 +112,7 @@
 Provides: lib%oldname-devel = %version
 Obsoletes: lib%oldname-devel < %version
 Requires: lib%name = %EVR
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description -n lib%name-devel
 GConf development package. Contains files needed for doing
@@ -157,6 +158,19 @@
 %description -n lib%name-gir-devel
 GObject introspection devel data for the GConf library
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: libGConf-devel <= 3.2.6-alt4
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup
 install -p -m644 %_sourcedir/libgconf.{map,lds} gconf/
@@ -290,8 +304,9 @@
 %_includedir/*
 %_pkgconfigdir/*
 %_datadir/aclocal/*
-%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name
 %_sysconfdir/buildreqs/files/ignore.d/gconf
+%exclude %_rpmmacrosdir/*
 
 %files -n lib%name-devel-doc
 %_datadir/gtk-doc/html/*
@@ -312,4 +327,8 @@
 %_girdir/*
 %endif
 
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
+
 %changelog
--- a/adobe-mappings-cmap.spec	2023-11-13 06:07:52.958190256 +0300
+++ b/adobe-mappings-cmap.spec	2023-11-13 06:07:52.971190107 +0300
@@ -39,6 +39,7 @@
 Summary:          RPM macros for Adobe's CMap resources for character collections
 Requires:         %{name} = %{version}-%{release}
 Requires:         %{name}-deprecated = %{version}-%{release}
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 This package is useful for development purposes only. It installs RPM
@@ -51,6 +52,19 @@
 #       "pre-compiled" to smallest size possible, but they still remain in
 #       postscript format as intended. That's why there is no %%build phase.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: adobe-mappings-cmap-devel <= 20171205-alt1_9
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q -n cmap-resources-%{version}
 
@@ -86,7 +100,12 @@
 %{_datadir}/adobe/resources/mapping/deprecated
 
 %files devel
-%{_rpmmacrosdir}/macros.%{name}
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/macros.%{name}
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 # =============================================================================
 
--- a/adobe-mappings-pdf.spec	2023-11-13 06:07:53.017189581 +0300
+++ b/adobe-mappings-pdf.spec	2023-11-13 06:07:53.028189454 +0300
@@ -32,6 +32,7 @@
 Group: Other
 Summary:          RPM macros for Adobe's PDF mapping resources
 Requires:         %{name} = %{version}-%{release}
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 This package is useful for development purposes only. It installs RPM
@@ -45,6 +46,19 @@
 #       "pre-compiled" to smallest size possible, but they still remain in
 #       postscript format as intended. That's why there is no %%build phase.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: adobe-mappings-pdf-devel <= 20180407-alt1_7
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q -n mapping-resources-pdf-%{version}
 
@@ -73,7 +87,12 @@
 %{_datadir}/adobe/resources/mapping/pdf2unicode
 
 %files devel
-%{_rpmmacrosdir}/macros.%{name}
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/macros.%{name}
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 # =============================================================================
 
--- a/altlinux-release.spec	2023-11-13 06:07:53.288186481 +0300
+++ b/altlinux-release.spec	2023-11-13 06:07:53.298186365 +0300
@@ -41,10 +41,24 @@
 Provides: %(for n in %provide_list; do echo -n "$n-release = %version-%release "; done)
 Obsoletes: %obsolete_list
 Conflicts: %conflicts_list
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 %text_descr release file.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: altlinux-release-p10 <= 20210721-alt2
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 install -pD -m644 /dev/null %buildroot%_sysconfdir/buildreqs/packages/ignore.d/%name
 echo "%text_file" >%buildroot%_sysconfdir/altlinux-release
@@ -72,6 +86,11 @@
 %files
 %_sysconfdir/*-*
 %_sysconfdir/buildreqs/packages/ignore.d/*
-%_rpmmacrosdir/altlinux-release
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/altlinux-release
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/altlinux-release.spec	2023-11-13 06:07:53.338185907 +0300
+++ b/altlinux-release.spec	2023-11-13 06:07:53.349185782 +0300
@@ -26,6 +26,19 @@
 %description
 This package contains %dtext release files.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: altlinux-release-sisyphus <= 20201124-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 install -pD -m644 /dev/null %buildroot%_sysconfdir/buildreqs/packages/ignore.d/%name
 echo "%text_file" >%buildroot%_sysconfdir/altlinux-release
@@ -57,4 +70,8 @@
 %_sysconfdir/buildreqs/packages/ignore.d/*
 %_rpmmacrosdir/altlinux-release
 
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
+
 %changelog
--- a/e25.spec	2023-11-13 06:07:57.630136808 +0300
+++ b/e25.spec	2023-11-13 06:07:57.656136509 +0300
@@ -110,10 +110,24 @@
 Obsoletes: e17-devel e18-devel
 Provides: e17-devel = %EVR
 Provides: e18-devel = %EVR
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 Development headers for Enlightenment.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: enlightenment-devel <= 0.25.1-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -n %name-%version%beta
 #%patch -p1 -R -b .auth
@@ -232,6 +246,11 @@
 %_includedir/%name/
 %_pkgconfigdir/%name.pc
 %_pkgconfigdir/everything.pc
-%_rpmmacrosdir/%name
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/%name
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/guile.spec	2023-11-13 06:08:02.113085520 +0300
+++ b/guile.spec	2023-11-13 06:08:02.121085429 +0300
@@ -17,6 +17,7 @@
 Requires: %name = %version-%release
 Provides: /usr/bin/guild
 Provides: /usr/bin/guile-config
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 This package provides the default %summary.
@@ -24,6 +25,19 @@
 %description devel
 This package provides the default %summary.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: guile-devel <= 2.2-alt2
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 mkdir -p %buildroot{%_bindir,%_rpmmacrosdir,%_man1dir}
 cat > %buildroot%_rpmmacrosdir/guile << 'E_O_F'
@@ -53,6 +67,11 @@
 %_bindir/guile-config
 %_bindir/guile-snarf
 %_bindir/guile-tools
-%_rpmmacrosdir/guile
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/guile
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/mozilla-common.spec	2023-11-13 06:08:17.940904445 +0300
+++ b/mozilla-common.spec	2023-11-13 06:08:17.947904365 +0300
@@ -12,10 +12,24 @@
 %package devel
 Summary:	Mozilla common directories
 Group:		Development/Other
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 Mozilla common directories
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: mozilla-common-devel <= 1.0-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 mkdir -p %buildroot
 cd %buildroot
@@ -42,7 +56,12 @@
 %_datadir/mozilla
 
 %files devel
-%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name
 %_rpmlibdir/mozcommon.req.list
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/pesign.spec	2023-11-13 06:08:26.178810201 +0300
+++ b/pesign.spec	2023-11-13 06:08:26.189810074 +0300
@@ -17,11 +17,25 @@
 BuildRequires: libpopt-devel
 BuildRequires: libefivar-devel
 BuildRequires: libuuid-devel
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 This package contains the pesign utility for signing UEFI binaries
 as well as other associated tools.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: pesign <= 113-alt3
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -n %name-%version-%release
 %patch1 -p1
@@ -78,7 +92,7 @@
 %config(noreplace) %_sysconfdir/popt.d/pesign.popt
 %config(noreplace) %_sysconfdir/pesign/groups
 %config(noreplace) %_sysconfdir/pesign/users
-%_rpmmacrosdir/pesign
+#%_rpmmacrosdir/pesign
 %_mandir/man?/*
 %_tmpfilesdir/pesign.conf
 %_initdir/pesign
@@ -87,5 +101,10 @@
 %dir %_runtimedir/pesign/socketdir/
 %ghost %_runtimedir/pesign/socketdir/socket
 %ghost %_runtimedir/pesign.pid
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/xorg-server.spec	2023-11-13 06:08:39.459658262 +0300
+++ b/xorg-server.spec	2023-11-13 06:08:39.494657862 +0300
@@ -177,6 +177,7 @@
 Provides: xorg-glamor-devel = %epoch:%version-%release
 Obsoletes: xorg-glamor-devel < %epoch:%version-%release
 %endif
+Requires: rpm-macros-xorg-sdk = %{version}-%{release}
 
 %description -n xorg-sdk
 The SDK package provides the developmental files which are necessary for
@@ -184,6 +185,19 @@
 outside of the standard X11 source code tree.  Developers writing video
 drivers, input drivers, or other X modules should install this package.
 
+
+%package -n rpm-macros-xorg-sdk
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: xorg-sdk <= 1.20.14-alt9
+
+%description -n rpm-macros-xorg-sdk
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q
 %patch -p1
@@ -312,6 +326,11 @@
 %_includedir/xorg
 %_pkgconfigdir/*.pc
 %_datadir/aclocal/*.m4
-%_rpmmacrosdir/xorg-sdk
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/xorg-sdk
+
+%files -n rpm-macros-xorg-sdk
+%_rpmmacrosdir/*
+
 
 %changelog
